Subject: Re: bug#10758: thumbs and image-dired to use built-in ImageMagick

From: Stefan Kangas <[email-masked]>
Date: Tue, 7 Dec 2021 23:46:58 +0100

close 10758 29.1
thanks

Stefan Kangas <[email-masked]> writes:

> I fixed this in `image-dired' (see separate patch).
>
> I guess we could rebase thumbs.el to also use the built-in image viewing
> support, but I took a look and this external conversion seems built into
> the foundation of how that library works.  So this looks to me like it
> would amount to a rewrite of thumbs.el.  I could be wrong of course, but
> that was my conclusion after poking at it for an hour or so.
>
> Furthermore, at this point, image-dired.el is by far the more powerful
> package, and it seems better implemented overall.  Although it borrows
> heavily from thumbs.el (or at least it used to), thumbs.el seems fully
> redundant these days.  However, it has some features that image-dired.el
> does not, especially when it comes to modifying images.
>
> So rather than attempting a rewrite of thumbs.el, the better solution
> seems to me to add any important missing features from thumbs.el to
> image-dired.el, and then obsoleting the former (not necessarily in that
> order, but either way is fine to me).

No further comments within 6 weeks, so I think we can say that this bug
is resolved for now, and we can look into making thumbs.el obsolete
later.

I'm therefore closing this bug as fixed for image-dired.el.  If that
conclusion is incorrect, please re-open.